summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/flog/Manifest1
-rw-r--r--dev-ruby/flog/flog-4.9.4.ebuild29
-rw-r--r--dev-ruby/ruby_parser/ruby_parser-3.22.0.ebuild4
-rw-r--r--dev-ruby/spreadsheet/spreadsheet-1.3.3.ebuild4
-rw-r--r--dev-ruby/strscan/Manifest2
-rw-r--r--dev-ruby/strscan/strscan-3.1.7.ebuild (renamed from dev-ruby/strscan/strscan-3.1.2.ebuild)7
-rw-r--r--dev-ruby/thor/Manifest1
-rw-r--r--dev-ruby/thor/thor-1.4.0.ebuild4
-rw-r--r--dev-ruby/thor/thor-1.5.0.ebuild66
9 files changed, 108 insertions, 10 deletions
diff --git a/dev-ruby/flog/Manifest b/dev-ruby/flog/Manifest
index e4dbfbaa0bdd..86a30b789369 100644
--- a/dev-ruby/flog/Manifest
+++ b/dev-ruby/flog/Manifest
@@ -3,3 +3,4 @@ DIST flog-4.9.0.gem 27648 BLAKE2B 852b5320fb5d72da045dcaf9859a62b4b5787feaf9390c
DIST flog-4.9.1.gem 27648 BLAKE2B 1d35f03aa857f7f2b964aada830fa2e68e4dc55b0492c2b3cdc072df96b14e82d4f23caec32e09800d9a2e44f17d717cd1f31d9f990b8e5405b922ea7d291427 SHA512 0e192fa20272d9894f4461d7287b864f3e0869bff7be2ab1d52b17fd0841d454066c91e0912c09131b92f6460fb46028d47667dc456f495ab029513b31c35947
DIST flog-4.9.2.gem 27648 BLAKE2B 20756bdda4ef2cb44207d67546397c10ebf2f426118a91ba15582d276f73faad4de0c977da77b599785d03fe82c7673a186e85977fcd0968ae88365914f4141d SHA512 0bf709f0ac922bd9a7250ab66d0a4dff3d464ee3adc005d805ee5c4c8de03a491bee0a16d2ba4a5ce877d43d54e633b5aae9f33df25cd5b79229bff4a010b471
DIST flog-4.9.3.gem 27648 BLAKE2B 8592222e5afbf4bb40d725dd27f4676b83757bc750cb4698e356270a0f1ccba87dc362120629030e966a45608d27971a57dc9dfdd86766fcab61bc58448bde53 SHA512 9f777a323cedb6d76c4b4b8e995a1158b7c2a9fdf9c5ce7302f4a33edce1057bf0f127c95ff9e7e86f090d48b8f077f11f6af8487c34357b392d7dedcbc15a23
+DIST flog-4.9.4.gem 28160 BLAKE2B 1308ed1c8d366ee9619b47b0f3a5b6331e43bafd2d3e03cea8c8c9ae159f1397d4cc9f576d5dac003ac32125f4cf58b805cd452e2a2aad803c9e4cf4aba920e3 SHA512 ad5b214685ac4c497e598600543988971da7719bf4e7caefe4ff61b7b98e1300f46b942e54a33dcd38dbdde8b436bf60a4f0f50618780ef4eb6247343cf92c96
diff --git a/dev-ruby/flog/flog-4.9.4.ebuild b/dev-ruby/flog/flog-4.9.4.ebuild
new file mode 100644
index 000000000000..705e2d6c517d
--- /dev/null
+++ b/dev-ruby/flog/flog-4.9.4.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Flog reports the most tortured code in an easy to read pain report"
+HOMEPAGE="https://ruby.sadi.st/"
+LICENSE="MIT"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/minitest )"
+
+ruby_add_rdepend "
+ dev-ruby/path_expander:2
+ >=dev-ruby/prism-1.7:1
+ >=dev-ruby/sexp_processor-4.8:4"
+
+each_ruby_test() {
+ ${RUBY} -Ilib test/test_flog.rb || die
+}
diff --git a/dev-ruby/ruby_parser/ruby_parser-3.22.0.ebuild b/dev-ruby/ruby_parser/ruby_parser-3.22.0.ebuild
index d9ceba859c85..004fe7b67ae9 100644
--- a/dev-ruby/ruby_parser/ruby_parser-3.22.0.ebuild
+++ b/dev-ruby/ruby_parser/ruby_parser-3.22.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby32 ruby33 ruby34"
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
RUBY_FAKEGEM_EXTRADOC="README.rdoc History.rdoc"
diff --git a/dev-ruby/spreadsheet/spreadsheet-1.3.3.ebuild b/dev-ruby/spreadsheet/spreadsheet-1.3.3.ebuild
index 6bc5579f6020..df62cc7acd08 100644
--- a/dev-ruby/spreadsheet/spreadsheet-1.3.3.ebuild
+++ b/dev-ruby/spreadsheet/spreadsheet-1.3.3.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby32 ruby33 ruby34"
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
# Avoid the complexity of the "rake" recipe and run testrb-2 manually.
RUBY_FAKEGEM_RECIPE_TEST=none
diff --git a/dev-ruby/strscan/Manifest b/dev-ruby/strscan/Manifest
index 3052f98a7930..d670568bdd05 100644
--- a/dev-ruby/strscan/Manifest
+++ b/dev-ruby/strscan/Manifest
@@ -1,3 +1,3 @@
-DIST strscan-3.1.2.tar.gz 36911 BLAKE2B 2a5de9fccb5f71fb1f5fec9728b0be42106a6d1cfd07b05a90263b3509fc7be0db1d883b44001e1db920de47c2a1ddfc8360a4abf9efac150101b435bb9cc771 SHA512 1be75d4d27625188910782b83aae64eee061b1bc0b23d36f53b08ade1df28cb166225d31e3de3b6ec8a7b05c79958454217ff6907f07300ee8e58b5407e27b0c
DIST strscan-3.1.5.tar.gz 37846 BLAKE2B a8942a6830d01b3df691de84a288ae1e02986699757c4c1df481550b7ffdf3f9b787592f6d99af27e8c325a46215d706e4855f14f8a8e62342fbd27e0a1cbf35 SHA512 b6034bf7e429ca7ed6d24258ab35d27d3e4ba6c5f1944d21737f7023ef7f0612fe5e3f3bc74728ccd53a8493a09671a123fd210845b87b372da963d2ddf4dcdc
DIST strscan-3.1.6.tar.gz 38128 BLAKE2B b7e81ff6e855537f08f86996b7fb2904cd9fdd377bedef55e98db35d0c1223b93a274d8022e509aa922af20efbf61b2f6e0e7f4ca73aba1e4440a3935cca0f55 SHA512 7d2c646be9525777a14f2e1c0f7a94006d1a0d08ef8384106e1b16c60d5019365cdeca3453361f1e9aa9c3d7f24f4fc36be57d297101309f01918dba96c61214
+DIST strscan-3.1.7.tar.gz 38378 BLAKE2B ad885c2e3cf7756bd633e57ecec50bbf702701c1ab40c9c7aed042c632a0c53e45056af7ac8a6ea250bbe912074719bd52304894b376c61bec1b2efac2febd5d SHA512 f4c7ad3d56335a081bdb79647de233425b33ed553db128457087d68c9d29c2d74843cae92f6243ae834c530b1b608c13f30ef8941d079088160f7cba9f91ee01
diff --git a/dev-ruby/strscan/strscan-3.1.2.ebuild b/dev-ruby/strscan/strscan-3.1.7.ebuild
index 7782b9a7fb35..9ab4545b46bd 100644
--- a/dev-ruby/strscan/strscan-3.1.2.ebuild
+++ b/dev-ruby/strscan/strscan-3.1.7.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
RUBY_FAKEGEM_EXTRADOC="NEWS.md README.md"
@@ -21,7 +22,7 @@ SRC_URI="https://github.com/ruby/strscan/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="$(ver_cut 1)"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
IUSE="test"
ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
diff --git a/dev-ruby/thor/Manifest b/dev-ruby/thor/Manifest
index 036f8b763dd8..d7ea4b897eb0 100644
--- a/dev-ruby/thor/Manifest
+++ b/dev-ruby/thor/Manifest
@@ -1,2 +1,3 @@
DIST thor-git-1.3.2.tgz 103619 BLAKE2B 31c23b549a79ec796d0de40c392d32a2621106ad44ffb0389358fbdb170b283867ab544c5f6bcfd437da0396a3193ff4b93100eee5c446c01760f07be73e2b79 SHA512 fb2aff3cf8c14f1a8b38db77579e4b27292f9578c7abf8fb892da888bee7e24412c4bdbf85ce9e43982348f72e038cacc856500268fc204e44fa61f3f9405c32
DIST thor-git-1.4.0.tgz 102880 BLAKE2B 94a8973f62d683be6c7089798be3ad3f3b90c2fe6aa391a28624f3672d83bb1b95865aa7c0719aec7f01481c5c0826ae94b92c146131f8f7c2f5227e1376fc1f SHA512 6f1fe42212583be1fc963c852524795967a725eac65d27a8597b81d52ba22ea35ab0ea69e37df2a81c0280957444851be45861ba86f90cd0c794c0151ea84fd4
+DIST thor-git-1.5.0.tgz 104507 BLAKE2B 804c4d7cdbdda344f9516814ee5d648107eb3867da78dcaab1ecc81db9fb819f19be88dc2b8b81cabe9a8f3f1bea4febdcf531eccfee7990d790915c37c90e98 SHA512 48a64494eecd3ae1d1b0b7c487b639d759c38211139d96286535d96f967886e9d2eab952fd0edcf4e2ed762854fe8154a350272a2675cd1727000c7e6befedcd
diff --git a/dev-ruby/thor/thor-1.4.0.ebuild b/dev-ruby/thor/thor-1.4.0.ebuild
index 382823c3bd3c..613bc8fa1ee6 100644
--- a/dev-ruby/thor/thor-1.4.0.ebuild
+++ b/dev-ruby/thor/thor-1.4.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2000-2025 Gentoo Authors
+# Copyright 2000-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -20,7 +20,7 @@ SRC_URI="https://github.com/rails/${PN}/archive/v${PV}.tar.gz -> ${PN}-git-${PV}
LICENSE="MIT"
SLOT="$(ver_cut 1)"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc x86"
IUSE="doc"
# For initial target porting (new rubies), we can make these test deps
diff --git a/dev-ruby/thor/thor-1.5.0.ebuild b/dev-ruby/thor/thor-1.5.0.ebuild
new file mode 100644
index 000000000000..3f9d3c8513f5
--- /dev/null
+++ b/dev-ruby/thor/thor-1.5.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 2000-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_DOCDIR="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_BINWRAP="thor"
+
+RUBY_FAKEGEM_GEMSPEC="thor.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simple and efficient tool for building self-documenting command line utilities"
+HOMEPAGE="http://whatisthor.com/"
+SRC_URI="https://github.com/rails/${PN}/archive/v${PV}.tar.gz -> ${PN}-git-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="doc"
+
+# For initial target porting (new rubies), we can make these test deps
+# conditional with:
+# 1. USE_RUBY="<old rubies>" ruby_add_bdepend ...
+# 2. skip logic in each_ruby_test
+USE_RUBY="ruby32 ruby33 ruby34" ruby_add_bdepend "
+ test? (
+ dev-ruby/childlabor
+ dev-ruby/webmock
+ )"
+
+all_ruby_prepare() {
+ # Remove rspec default options (as we might not have the last
+ # rspec).
+ rm .rspec || die
+
+ # Remove Bundler
+ #rm Gemfile || die
+ sed -i -e '/[Bb]undler/d' Thorfile || die
+
+ # Remove mandatory coverage collection using simplecov which is not
+ # packaged.
+ sed -i -e '/require "simplecov"/,/^end/ s:^:#:' spec/helper.rb || die
+
+ # Avoid a spec that requires UTF-8 support, so LANG=C still works,
+ # bug 430402
+ #sed -i -e '/uses maximum terminal width/,/end/ s:^:#:' spec/shell/basic_spec.rb || die
+
+ # Avoid specs depending on git, bug 724058
+ rm -f spec/quality_spec.rb || die
+}
+
+each_ruby_test() {
+ case ${RUBY} in
+ *ruby40)
+ einfo "Skipping tests due to circular dependencies"
+ ;;
+ *)
+ RSPEC_VERSION=3 ruby-ng_rspec spec || die
+ ;;
+ esac
+}